<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_rssreader.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	global $dblink,$userid;

	$row = $dblink->get_row("SELECT title,link FROM memht_rssreader_links WHERE inblock=1");
	$mtitle = outCode($row['title']);
	$link = outCode($row['link']);
	
	define('MAGPIE_CACHE_DIR', 'inc/magpie/cache');
	require_once("inc/magpie/rss_fetch.inc");
	if ($rss = @fetch_rss($link)) {	
	echo "<div style='padding-bottom:4px;'><b>".$rss->channel['title']."</b></div>";
		foreach ($rss->items as $item) {
			$href = @$item['link'];
			$mtitle = @$item['title'];
			if ($href!="" AND $mtitle!="") {
				echo "<div><a href=\"$href\" target='_blank' title=\"$mtitle\">$mtitle</a></div>";
			}
		}
	} else {
		echo "<div align='center' id='errorText' class='box'><b>"._CANNOTREADFEED_."</b></div>";
	}

	//------------------------
	if (isAuth($userid,3)) {
		echo "<div class='box' align='center' style='margin:2px 0 0 0;'><select onChange='location = this.options[this.selectedIndex].value;'>";
			echo "<option value='' selected>-- "._RSS_FEEDS_." --</option>\n";
			$result = $dblink->get_list("SELECT id,title FROM memht_rssreader_links ORDER BY title");
			foreach ($result as $row) {
				$id = intval($row['id']);
				$mtitle = trimString(outCode($row['title']),15,1);
				
				echo "<option value='index.php?changerss=$id'>$mtitle</option>\n";
			}
		echo "</select></div>\n";
	}

?>